# Easy Cozy configuration

This section includes all configurations available for the stack.

## Configuration File

The configuration file of the stack is located at `.easy-cozy/cozystack/cozy.yml`. It can be edit in order to changes various parameters, smtp, logs ...

## SMTP

### Install a specific version of an app

Modif the `cozy.yml` responsible for the configuration :

```yml
mail:
  # mail noreply address - flags: --mail-noreply-address
  noreply_address: noreply@localhost
  noreply_name: My Cozy
  reply_to: support@cozycloud.cc
  # mail smtp host - flags: --mail-host
  host: smtp.home
  # mail smtp port - flags: --mail-port
  port: 465
  # mail smtp username - flags: --mail-username
  username: {{.Env.COZY_MAIL_USERNAME}}
  # mail smtp password - flags: --mail-password
  password: {{.Env.COZY_MAIL_PASSWORD}}
  # disable mail tls - flags: --mail-disable-tls
  disable_tls: false
  # skip the certificate validation (may be useful on localhost)
  skip_certificate_validation: false
```

According to cozy-stack issue: https://github.com/cozy/cozy-stack/issues/2009 you might need to change above configuration with :

```yml
mail:
  # mail smtp port - flags: --mail-port
  port: 587
  # disable mail tls - flags: --mail-disable-tls
  disable_tls: true
```

After updating configuration don't forget to restart your cozy-stack :
```bash
docker-compose restart cozy
```
