This section will allow you to launch a proper local environment for Ecolyo-Agent

## Initialisation of the project

### Clone the project repository

Use following commands in your favorite terminal to clone the project:

```
git clone https://forge.grandlyon.com/web-et-numerique/llle_project/backoffice-client
git clone https://forge.grandlyon.com/web-et-numerique/llle_project/backoffice-server
```

## Installation of the project

### Installation of node modules

To install required node module, open a terminal on the root folder of the backoffice-client project and type the following command:

```
yarn install
```

## Local usage

Before launching the application, ensure you've properly filled the .env file according to the template. If needed please refer to a team member.

In order to launch the projet in local with the backend working launch the following command

```bash
yarn local-up
```

This command will launch the app from the _docker-compose.local.yml_ file, which will launch 3 docker images and start the react app with _yarn start_

- The backend Go app, from the image located on its GitLab repository
- The mongo Database, from the DockerHub image
- The Ngnix server with a local configuration located in nginx/site.conf

To stop it properly use

```bash
yarn local-down
```

This app runs in https, such as the backend, to access it go on https://localhost/
Also make sure you have HTTPS env variable set to true.
Do not use the app with the port 3000, you won't be able to login.

> :warning: **If you are launching the project from a Linux OS** : Make sure to uncomment the commented lines in the docker-compose.local file. Otherwise, you you won't be able to access your machine's localhost from the docker container.

## Backend and Database

In order to get Backend documentation, please refer directly to the [backend project](https://forge.grandlyon.com/web-et-numerique/llle_project/backoffice-server)

## Nginx

The nginx server redirects https requests from frontend to the backend on port 1443.

It has two configuration files :

- nginx/site.conf, used for local development
- nginx/site.prod.conf, used for production

The nginx server needs local ssl certificates in order to run an interact with backend, these certificates are present in the project.


## Check success

To check if the application starts successfully, launch the command 
```bash
docker logs backoffice-client_backend_1
```

You should obtain the following messages:

> --- Server is starting ---
> Token signing key set  
> Mock OAuth2 server Listening on: http://localhost:8090  

Once the application is started, you can access it here: https://localhost

